Subject: Re: [bug#38640] [PATCH] Add ripgrep and many rust dependencies

From: Martin Becze <[email-masked]>
Date: Wed, 18 Dec 2019 08:32:57 -0800

On 2019-12-17 17:10, John Soo wrote:
> HI everyone,
> 
> I did some work on your review and have a couple questions before I
> submit the next patchset.
> 
> * My questions for Martin:
> 
>> I'm trying to convince everyone to leave in the crago-inputs
>> dependencies and add a "#:skip-build? #t" to the build arguments for
> all
>> source pakages. That way we don't have to specify the transient
>> dependencies at the top level package.
> 
> I like this idea. I think I will do it if you don't mind. It's either
> that or add hidden? #t to the properties, right?
> Whether to add #skip-build? #t to the packages is the last piece of
> review I need to fixup.

So the ` hidden? #t ` also hides the package from (find-packages*)
functions in (gnu packages). I actully want to be able to search for and
use rust libraries with guix, so I prefer not to hide them.